## TomoeQuery

TomoeQuery — An object for representing search conditions.

## Synopsis

                        TomoeQuery;
    TomoeQuery*         tomoe_query_new                     (void);
    const gchar*        tomoe_query_get_utf8                (TomoeQuery *query);
    void                tomoe_query_set_utf8                (TomoeQuery *query,
                                                             const gchar *utf8);
    void                tomoe_query_add_reading             (TomoeQuery *query,
                                                             TomoeReading *reading);
    const GList*        tomoe_query_get_readings            (TomoeQuery *query);
    void                tomoe_query_add_radical             (TomoeQuery *query,
                                                             const gchar *radical);
    const GList*        tomoe_query_get_radicals            (TomoeQuery *query);
    void                tomoe_query_set_variant             (TomoeQuery *query,
                                                             const gchar *variant);
    const gchar*        tomoe_query_get_variant             (TomoeQuery *query);
    void                tomoe_query_set_min_n_strokes       (TomoeQuery *query,
                                                             gint n_strokes);
    gint                tomoe_query_get_min_n_strokes       (TomoeQuery *query);
    void                tomoe_query_set_max_n_strokes       (TomoeQuery *query,
                                                             gint n_strokes);
    gint                tomoe_query_get_max_n_strokes       (TomoeQuery *query);
    void                tomoe_query_set_writing             (TomoeQuery *query,
                                                             TomoeWriting *writing);
    TomoeWriting*       tomoe_query_get_writing             (TomoeQuery *query);
    gboolean            tomoe_query_is_empty                (TomoeQuery *query);

## Object Hierarchy

      GObject
       +----TomoeQuery

## Properties

      "max-n-strokes"            gint                  : Read / Write
      "min-n-strokes"            gint                  : Read / Write
      "utf8"                     gchararray            : Read / Write
      "writing"                  TomoeWriting          : Read / Write

## Description

## Details

### TomoeQuery

    typedef struct _TomoeQuery TomoeQuery;

The TomoeQuery struct contains only private fields and should not be directly accessed.

### tomoe_query_new ()

    TomoeQuery*         tomoe_query_new                     (void);

Returns : |

### tomoe_query_get_utf8 ()

    const gchar*        tomoe_query_get_utf8                (TomoeQuery *query);

`query` : |
Returns : |

### tomoe_query_set_utf8 ()

    void                tomoe_query_set_utf8                (TomoeQuery *query,
                                                             const gchar *utf8);

`query` : |
`utf8` : |

### tomoe_query_add_reading ()

    void                tomoe_query_add_reading             (TomoeQuery *query,
                                                             TomoeReading *reading);

`query` : |
`reading` : |

### tomoe_query_get_readings ()

    const GList*        tomoe_query_get_readings            (TomoeQuery *query);

`query` : |
Returns : |

### tomoe_query_add_radical ()

    void                tomoe_query_add_radical             (TomoeQuery *query,
                                                             const gchar *radical);

`query` : |
`radical` : |

### tomoe_query_get_radicals ()

    const GList*        tomoe_query_get_radicals            (TomoeQuery *query);

`query` : |
Returns : |

### tomoe_query_set_variant ()

    void                tomoe_query_set_variant             (TomoeQuery *query,
                                                             const gchar *variant);

`query` : |
`variant` : |

### tomoe_query_get_variant ()

    const gchar*        tomoe_query_get_variant             (TomoeQuery *query);

`query` : |
Returns : |

### tomoe_query_set_min_n_strokes ()

    void                tomoe_query_set_min_n_strokes       (TomoeQuery *query,
                                                             gint n_strokes);

`query` : |
`n_strokes` : |

### tomoe_query_get_min_n_strokes ()

    gint                tomoe_query_get_min_n_strokes       (TomoeQuery *query);

`query` : |
Returns : |

### tomoe_query_set_max_n_strokes ()

    void                tomoe_query_set_max_n_strokes       (TomoeQuery *query,
                                                             gint n_strokes);

`query` : |
`n_strokes` : |

### tomoe_query_get_max_n_strokes ()

    gint                tomoe_query_get_max_n_strokes       (TomoeQuery *query);

`query` : |
Returns : |

### tomoe_query_set_writing ()

    void                tomoe_query_set_writing             (TomoeQuery *query,
                                                             TomoeWriting *writing);

`query` : |
`writing` : |

### tomoe_query_get_writing ()

    TomoeWriting*       tomoe_query_get_writing             (TomoeQuery *query);

`query` : |
Returns : |

### tomoe_query_is_empty ()

    gboolean            tomoe_query_is_empty                (TomoeQuery *query);

`query` : |
Returns : |

## Property Details

### The "`max-n-strokes`" property

      "max-n-strokes"            gint                  : Read / Write

Maximum number of strokes of searched character.

Allowed values: >= -1

Default value: -1

### The "`min-n-strokes`" property

      "min-n-strokes"            gint                  : Read / Write

Minimum number of strokes of searched character.

Allowed values: >= -1

Default value: -1

### The "`utf8`" property

      "utf8"                     gchararray            : Read / Write

UTF8 encoding of searched character.

Default value: NULL

### The "`writing`" property

      "writing"                  TomoeWriting          : Read / Write

Writing of searched character.